FusionParameters
Date: 2013-02-16

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gcube.dir.master.fusion.io
Class FusionParameters

    java.lang.Object
      org.gcube.dir.master.fusion.io.FusionParameters

    public class FusionParameters

extends java.lang.Object

Base implementation of input parameters for result fusion algorithms.

Author:
  Fabio Simeoni (University of Strathclyde)

Constructor Summary
`FusionParameters()` Creates an uninitialised instance.
`FusionParameters(Query query, java.util.Map<java.lang.String,RSXMLReader> RSMap, int numOfResults)` Creates an instance from a query, the result sets which it produced, and the number of results expected in the merged result set.

Method Summary
`int` | `getNumberOfResults()` Returns the maximum number of results to return after merging.
`Query` | `getQuery()` Returns the query which produced the result to merge.
`java.util.Map<java.lang.String,RSXMLReader>` | `getResultSets()` Returns the resultsets to be merged.
`void` | `setNumberOfResults(int numberOfresults)` Sets the the maximum number of results to return after merging.
`void` | `setQuery(Query query)` Sets the query which produced the result to merge.
`void` | `setResultSets(java.util.Map<java.lang.String,RSXMLReader> RSMap)` Sets the resultsets to be merged.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FusionParameters

    public FusionParameters()

  Creates an uninitialised instance.

### FusionParameters

    public FusionParameters(Query query,
                            java.util.Map<java.lang.String,RSXMLReader> RSMap,
                            int numOfResults)

  Creates an instance from a query, the result sets which it produced, and the number of results expected in the merged result set.

  Parameters:
    `query` - the query.
    `RSMap` - the result sets, indexed by the identifiers of the collections from which they emanate.
    `numOfResults` - the number of results in the merged resultset.

Method Detail

### getQuery

    public Query getQuery()

  Returns the query which produced the result to merge.

  Returns:
    the query.

### setQuery

    public void setQuery(Query query)

  Sets the query which produced the result to merge.

  Parameters:
    `query` - the query.

### getResultSets

    public java.util.Map<java.lang.String,RSXMLReader> getResultSets()

  Returns the resultsets to be merged.

  Returns:
    the resultsets, indexed by the identifiers of the collections from which they emanate.

### setResultSets

    public void setResultSets(java.util.Map<java.lang.String,RSXMLReader> RSMap)

  Sets the resultsets to be merged.

  Parameters:
    `RSMap` - the resultsets,indexed by the identifiers of the collections from which they emanate.

### getNumberOfResults

    public int getNumberOfResults()

  Returns the maximum number of results to return after merging.

  Returns:
    the results.

### setNumberOfResults

    public void setNumberOfResults(int numberOfresults)

  Sets the the maximum number of results to return after merging.

  Parameters:
    `numberOfresults` - the number of results.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD